--- title: "instanceActivation (Service)" slug: "dpgw-ig-instanceactivation-service-5-12" updated: 2026-01-14T12:10:28Z published: 2026-01-14T17:11:00Z canonical: "docs.onespan.com/dpgw-ig-instanceactivation-service-5-12" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # instanceActivation (Service) > This command is deprecated! Use [DSAPPMdlAddDevice (service)](/sec/docs/dpgw-ig-dsappmdladddevice-service-5-12) instead! > API version: 1 > > Availability: DIGIPASS Gateway 4.1 and later > > Authentication: None. The instanceActivation registers a new device that supports Secure Channel activation. It retrieves Activation Message 2 (instance). ## URL https://dpgateway_host:dpgateway_port/instanceActivation ## Request Parameters to the service are passed via the URI query component. | instanceActivation parameters | | --- | | Parameter name | Data type | Description | | DeviceCode | String | Required. The device code generated by the mobile application using the Digipass SDK. This is needed for validation and derivation purposes. | | InitialVector | String | Required. The updated initial vector used by the mobile application using the DSAPP SDK. | | Nonce | String | Required. The updated encrypted server nonce used by the mobile application using the DSAPP SDK. | | RegistrationIdentifier | String | Required. The unique identifier of a user for a given activation process. | ### Example POST https://192.0.2.1:11080/instanceActivation?RegistrationIdentifier=e3wfISG9&DeviceCode=6887133123&InitialVector=43B525454EFA11CE0F5D1EBFAC5D9127&Nonce=5B983EE185B954A461CEFEECEBBBF214 ## Response The service returns an XML response message containing the result. | instanceActivation return values | | --- | | Return value | Data type | Description | | //DP4Mobile/@retCode | Integer | The return code of the operation. | | //DP4Mobile/@message | String | The error message in case of an error. | | //InstanceActivation/ @instanceActivationMessage | String | The instance activation message (i.e. Activation Message 2). | ### Example ```xml   ```